Тема: Проблема с обновлением

Здравствуйте, спасите пожалуйста
у меня стояла старенькая добрая суся 12.2 вроде может 12.1 и настроен гипервизор ксен на котором крутится тьма таракань серверов
Вообщем я решил обновиться до 13.2
обновление остановилось на получении одного из пакетов...
было установленно что cat /os-release сообщает 13.2
zypper работать отказывался.
Я посмотрел версии zypper && libzypp в 13.2 скачал их с репозитория и привел свой zypper к этому состоянию используя rpm
Итого zypper 1.11.17 (libzypp-14.32.0-9.1.x86_64) - работает
Но при попытке установить обновление до конца zypper dup
прогресса нет, не может получить ни 1 пакет.
вот лог zypper http://paste.opensuse.org/20291796

2

Re: Проблема с обновлением

То есть систему Вы поломали...

Re: Проблема с обновлением

Я бы назвал вас очевидностью,
но чем дольше я пользуюсь ос линукс те больше понимаю субъективность этой фразы.

4

Re: Проблема с обновлением

Ну поставьте систему с нуля.

5

Re: Проблема с обновлением

Хахаха. Обновление через несколько (вроде  ab ) версий детектед. Результат очевиден..

Re: Проблема с обновлением

Перед тем как совершать обновление, я обновил такую же ОС внутри xen - все гладко
Поставить систему с нуля - слишком долго потом все настраивать и проверять, да и не такие проблемы уже решал, просто пока не могу понять в чем дело.
В любом случае я обратился сюда за помощью в решении проблемы

7

Re: Проблема с обновлением

Так при обновлении не zypper && libzypp обновлять надо, а репозитории переписать на новые. И еще grub править. Да и обновляться советовали командой 

Консоль
zypper ref && zypper dup && mkinitrd && grub2-mkconfig -o /boot/grub2/grub.cfg && systemctl reboot